Subject: Re: bug#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

From: Svante Signell <[email-masked]>
Date: Fri, 11 Nov 2016 11:32:30 +0100

On Fri, 2016-11-11 at 12:06 +0200, Eli Zaretskii wrote:
> > 
> > From: Svante Signell <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Fri, 11 Nov 2016 10:50:16 +0100
> > 
> > I did build from today's git. After setting libsystemd to off
> > OPTION_DEFAULT_OFF([libsystemd],[don't compile with libsystemd support])
> > the build was successful: all three built executables: temacs, bootstrap-
> > emacs,
> > emacs works fine.
> > 
> > Forcing usage of SYSTEM_MALLOC fails with bootstrap-emacs:
> So you are saying that turning off libsystemd and NOT forcing
> SYSTEM_MALLOC allows you to build Emacs successfully?
> 
> Also, do you understand how does libsystemd affect this?

No, I don't. But I know that GNU/Hurd has no support for anything systemd-
related at all. And the build with it enabled failed miserably.

> > > Instead, try building an official 25.1 release tarball, then invoke
> > > temacs built there, and see if it works.
> > Will try the release 25.1 tarball next: Last time I built from an upstream
> > tarball it did succeed the first time and failed the second.
> "The second time" here meaning what? that you modified some file and
> ran "make" again?  Or does it mean something else?

I've now built the tarball and that went OK. Also after make distclean;
configure; make all was fine. 

However rebuilding the git from today crashed the box hard: Console output:
/hurd/crash: src/bootstrap-emacs -Q(1172), signal {no:11, code:1, error:1},
exception {1, code:1, subcode:3496312}, PCs: {0x818d803, 0x51db97c}, Killing
task. <and four more similar entries>. This might be a Hud bug or memory
exhaustion.